×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Mar 2010
    Posts
    7

    Unhappy ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    Hi,
    I just got the new Symbian^3 sdk: Symbian_3_SDK_v0_9_en and try to build my S50 5th's project.

    I build WINSCW sucessful, but when I try to build ARMV5, I got the error log: ABLD ERROR: "\Nokia\devices\Nokia_Symbian3_SDK_v0.9\EPOC32\BUILD\SymbianTrunk\src\group\ARMV5.make" not yet created.

    The project can be build with S60_5th_Edition_SDK_v1.0, and runs well on N97. So I believe activeperl, RVCT, JDK on my computer are the right version.

    Here are the logs, thanks:

    ***Building component "libbase6" for configuration "Phone Release (ARMV5) [Nokia_Symbian3_SDK_v0.9]"

    ***Invoking bldmake command
    perl.exe -S bldmake.pl bldfiles armv5
    BLDMAKE WARNING: ARMV5 requires at least RVCT 2.2.559. at C:\Nokia\devices\Nokia_Symbian3_SDK_v0.9\epoc32\tools/bldmake.pl line 1770.
    BLDMAKE WARNING: ARMV5 requires at least RVCT 2.2.559. at C:\Nokia\devices\Nokia_Symbian3_SDK_v0.9\epoc32\tools/bldmake.pl line 1770.

    Total Time: 0 sec

    ***Invoking abld command
    perl.exe -S ABLD.PL \SymbianTrunk\src\group\ export
    make -r -f "\Nokia\devices\Nokia_Symbian3_SDK_v0.9\EPOC32\BUILD\SymbianTrunk\src\group\EXPORT.make" EXPORT VERBOSE=-s
    Nothing to do

    Total Time: 0 sec

    ***Generating abld makefile.

    ***Invoking abld command
    perl.exe -S ABLD.PL \SymbianTrunk\src\group\ makefile armv5 libbase6
    ABLD ERROR: "\Nokia\devices\Nokia_Symbian3_SDK_v0.9\EPOC32\BUILD\SymbianTrunk\src\group\ARMV5.make" not yet created

    Total Time: 0 sec

    ***Abld returned with exit value = 2
    ***Stopping.

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,751

    Re: ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    The first warning messages suggest that your RVCT is not really recognized. Is it the community-licensed version perhaps?

  3. #3
    Registered User
    Join Date
    Mar 2010
    Posts
    7

    Re: ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    Thanks wizard hu.

    Resovled, my RCVT version is lower than RVCT2.2 build 559.

    Now the new error is,
    Error: L6221E: Load region LR_1 overlaps with Load region LR_2.
    Error: L6221E: Execution region ER_RO overlaps with Execution region ER_RW.
    Error: L6221E: Execution region ER_RO overlaps with Execution region ER_ZI.
    Finished: 0 information, 0 warning and 3 error messages.
    make[1]: *** [\Nokia\devices\Nokia_Symbian3_SDK_v0.9\epoc32\release\armv5\urel\dllwebcore6.dll] Error 1
    make: *** [TARGETDLLWEBCORE6] Error 2

  4. #4
    Registered User
    Join Date
    Mar 2010
    Posts
    7

    Re: ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    In S60 3rd and 5th version, no error occured.
    In there's dllwebcore6.armv5, about armlink:
    armlink --diag_suppress 6331,6780 --shl --reloc --split --rw-base 0x400000 \
    --noscanlib \
    --entry _E32Dll $(EPOCSTATLINKUREL)\EDLL.LIB(UC_DLL_.o) \
    $(EPOCBLDUREL)\dllwebcore6{000a0000}.exp \
    -o "$(EPOCBLDUREL)\dllwebcore6.dll" \
    --symbols --list "$(EPOCTRGUREL)\dllwebcore6.dll.map" \
    $(EPOCBLDUREL)\dllwebcore6.in \
    $(LIBSUREL) \
    $(VTBLEXPORTSUREL) $(USERLDFLAGS)

    but with Symbian^3 sdk, it's different, how to solve this issue?

  5. #5
    Registered User
    Join Date
    Oct 2010
    Posts
    3

    Re: ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    Hello Symbian community,

    I have the exact same problem when building my DLL with Symbian_3_SDK_v0_9_en :
    I don't have this error when I build the same source code with the S60 3rd and 5th edition SDKs.

    My toolchain is up-to-date: armlink returns ARM Linker, RVCT2.2 [Build 686]

    abld target armv5 urel
    <..>
    Error: L6221E: Load region LR_1 overlaps with Load region LR_2.
    Error: L6221E: Execution region ER_RO overlaps with Execution region ER_RW.
    Error: L6221E: Execution region ER_RO overlaps with Execution region ER_ZI.

    Edit: However, using GCCE instead of ARMV5 works perfectly (dll generated, application is running fine on my N8 phone)
    Do you have any idea what the problem can be ? (my source code is quite big)
    Last edited by cyrillev; 2010-10-28 at 15:42.

  6. #6
    Registered User
    Join Date
    Oct 2010
    Posts
    3

    Re: ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    Problem fixed by upgrading RVCT2.2 to Build 616 from Build 686

  7. #7
    Registered User
    Join Date
    Sep 2009
    Posts
    1

    Re: ABLD ERROR: "...\Nokia_Symbian3_SDK_v0.9\...ARMV5.make" not yet created

    I had the same problem even with the build 616. My solution was to increase the value \$(DATA_SEGMENT_START) in tools' file "cl_bpabi.pm"

Similar Threads

  1. Replies: 5
    Last Post: 2010-02-12, 07:16
  2. Replies: 4
    Last Post: 2009-05-02, 11:58
  3. "abld build error" emulator dont show application
    By jaskakei in forum Symbian Tools & SDKs
    Replies: 0
    Last Post: 2005-05-09, 23:00
  4. Replies: 1
    Last Post: 2004-07-17, 12:08
  5. Error using "abld build wins"
    By Marw_Work in forum Symbian
    Replies: 2
    Last Post: 2002-06-06, 05:41

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×